## knewstuff 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(KNewStuff)

include(FeatureSummary)
find_package(ECM 5.18.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Widgets Xml)

# Not part of kdelibs
set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

find_package(KF5Attica ${KF5_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://projects.kde.org/attica"
                       TYPE REQUIRED
                      )


ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
                        SOVERSION 5)

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(data)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuff")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NewStuffTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
project(KNewStuff)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=550)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set(KNewStuff_SRCS
    downloaddialog.cpp
    downloadwidget.cpp
    downloadmanager.cpp
    entry.cpp
    button.cpp
    knewstuffaction.cpp
    core/author.cpp
    core/cache.cpp
    core/engine.cpp
    core/entryinternal.cpp
    core/installation.cpp
    core/provider.cpp
    core/security.cpp
    core/xmlloader.cpp
    kmoretools/kmoretools.cpp
    kmoretools/kmoretoolsconfigdialog_p.cpp
    kmoretools/kmoretoolsmenufactory.cpp
    kmoretools/kmoretoolspresets.cpp
    staticxml/staticxmlprovider.cpp
    ui/entrydetailsdialog.cpp
    ui/imageloader.cpp
    ui/imagepreviewwidget.cpp
    ui/itemsmodel.cpp
    ui/itemsview.cpp
    ui/itemsviewdelegate.cpp
    ui/itemsgridviewdelegate.cpp
    ui/itemsviewbasedelegate.cpp
    ui/progressindicator.cpp
    attica/atticaprovider.cpp

    upload/atticahelper.cpp
    uploaddialog.cpp
)

ki18n_wrap_ui(KNewStuff_SRCS
    downloadwidget.ui
    uploaddialog.ui
    kmoretools/ui/kmoretoolsconfigwidget.ui
)

add_library(KF5NewStuff ${KNewStuff_SRCS} )
add_library(KF5::NewStuff ALIAS KF5NewStuff)

generate_export_header(KF5NewStuff BASE_NAME KNewStuff EXPORT_FILE_NAME knewstuff_export.h)

target_include_directories(KF5NewStuff PUBLIC "$<BUILD_INTERFACE:${KNewStuff_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KF5NewStuff INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff3>")

target_link_libraries(KF5NewStuff
  PUBLIC
    KF5::Attica                # For interacting with ocs providers, public for uploaddialog slots
    KF5::XmlGui                # For KActionCollection in knewstuffaction.h
    KF5::Service               # For KMoreTools
    Qt5::Widgets
  PRIVATE
    KF5::KIOCore               # For network fetching operations
    KF5::KIOWidgets            # For KUrlRequester
    KF5::Archive               # For decompressing archives
    KF5::Completion            # For KLineEdit in download dialog
    KF5::I18n                  # For translations
    KF5::ItemViews             # For buttons on download dialog
    KF5::IconThemes           # For KIcon
    KF5::TextWidgets          # For KTextEdit in upload dialog
)

set_target_properties(KF5NewStuff PROPERTIES
   VERSION ${KNEWSTUFF_VERSION_STRING}
   SOVERSION ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuff
)

ecm_generate_headers(KNewStuff_CamelCase_HEADERS
  HEADER_NAMES
  DownloadDialog
  DownloadWidget
  DownloadManager
  UploadDialog
  Entry
  Button

  REQUIRED_HEADERS KNewStuff_HEADERS
  PREFIX KNS3
)

# For KMoreTools:
ecm_generate_headers(KNewStuff_CamelCase_HEADERS_KMoreTools
  HEADER_NAMES
  KMoreTools
  KMoreToolsMenuFactory
  KMoreToolsPresets

  RELATIVE kmoretools
  REQUIRED_HEADERS KNewStuff_HEADERS_KMoreTools
  PREFIX KNS3
)
install(FILES ${KNewStuff_CamelCase_HEADERS_KMoreTools} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff3/KNS3 COMPONENT Devel)
install(FILES ${KNewStuff_HEADERS_KMoreTools} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff3/kns3 COMPONENT Devel
)

install(FILES ${KNewStuff_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff3/KNS3 COMPONENT Devel)

install(TARGETS KF5NewStuff EXPORT KF5NewStuffTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_export.h
  knewstuffaction.h
  ${KNewStuff_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff3/kns3 COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KNewStuff LIB_NAME KF5NewStuff DEPS "widgets Attica KXmlGui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KNewStuff)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## knewstuff 5.3.0

=== debian/changelog ===
knewstuff (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:27:04 +0100

knewstuff (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:48:40 +0200

knewstuff (5.1.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * New upstream tar - initial was broken.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:17:25 +0200

knewstuff (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 16:22:19 +0200

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/knewstuff.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knewstuff.git

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         libkf5archive-dev,
         libkf5attica-dev,
         libkf5newstuff5 (= ${binary:Version}),
         libkf5xmlgui-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains debug symbols for knewstuff.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5newstuff5-dbg

## knewstuff 5.9.0

=== debian/changelog ===
knewstuff (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:31:50 +0200

knewstuff (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:42:07 +0100

knewstuff (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:14:03 +0100

knewstuff (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:45:11 +0100

knewstuff (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:20:28 +0100

knewstuff (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
-               libkf5archive-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
-Standards-Version: 3.9.5
+               qtbase5-dev,
+               xauth,
+               xvfb
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/knewstuff
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/knewstuff.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knewstuff.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knewstuff.git
 
 Package: libkf5newstuff-dev

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5newstuff5-dbg
+
+override_dh_auto_test:
+	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/knewstuff-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/knewstuff-(.*)\.tar\.xz

## knewstuff 5.15.0

=== debian/changelog ===
knewstuff (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:53:03 +0100

knewstuff (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  *  Updating symbols files.

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:23:06 +0100

knewstuff (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:25:12 +0200

knewstuff (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Vivid backport. 

  [ José Manuel Santamaría Lema ]
  * Bump KDE Frameworks build dependencies to 5.12.0~

  [ Jonathan Riddell ]
  * Add depend on kio

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:34:25 +0200

knewstuff (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Update symbols files.
  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:55:42 +0200

knewstuff (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:37:02 +0200

knewstuff (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:41 +0200

knewstuff (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:08 +0100

knewstuff (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:39 +0100

knewstuff (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add basic autopkgtests support.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Jan 2015 16:06:52 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5archive-dev (>= 5.15.0~),
               libkf5attica-dev (>= 5.15.0~),
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5itemviews-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5textwidgets-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knewstuff.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knewstuff.git

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.15.0~),
         libkf5archive-dev (>= 5.15.0~),
         libkf5attica-dev (>= 5.15.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: kio,
         libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains debug symbols for knewstuff.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth, kate
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## knewstuff 5.18.0

=== debian/changelog ===
knewstuff (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:23:15 +0100

knewstuff (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:53 +0100

knewstuff (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:18 +0200

knewstuff (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:43 +0100

knewstuff (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:54 +0200

knewstuff (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 00:17:21 +0200

knewstuff (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5attica-dev (>= 5.15.0~),
-               libkf5completion-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5itemviews-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5textwidgets-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5attica-dev (>= 5.18.0~),
+               libkf5completion-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5itemviews-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5textwidgets-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/knewstuff
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/knewstuff.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/knewstuff.git
@@ -30,11 +29,11 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.15.0~),
-         libkf5archive-dev (>= 5.15.0~),
-         libkf5attica-dev (>= 5.15.0~),
+Depends: kio-dev (>= 5.16.0~),
+         libkf5archive-dev (>= 5.16.0~),
+         libkf5attica-dev (>= 5.16.0~),
          libkf5newstuff5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.15.0~),
+         libkf5xmlgui-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for knewstuff

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	$(overridden_command) --dbg-package=libkf5newstuff5-dbg
 
 override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+	# Disable unit test at build time
+	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/knewstuff-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/knewstuff-([\d.]+)\.tar\.xz

## knewstuff 5.26.0

=== debian/changelog ===
knewstuff (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:47:36 +0100

knewstuff (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:44:17 +0000

knewstuff (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Replaced symbol helper header tag
  * Refreshed symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:15:07 +0200

knewstuff (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:32:02 -0700

knewstuff (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:09 +0100

knewstuff (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:48 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libkf5archive-dev (>= 5.26.0~),
               libkf5attica-dev (>= 5.26.0~),
               libkf5completion-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5itemviews-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5archive-dev (>= 5.26.0~),
         libkf5attica-dev (>= 5.26.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: kio,
         libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

## knewstuff 5.28.0

=== debian/changelog ===
knewstuff (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:21 +0100

knewstuff (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:06:39 +0200

knewstuff (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:01 +0200

knewstuff (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:51:07 +0200

knewstuff (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 17:58:06 +0200

knewstuff (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:00:51 +0200

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libkf5archive-dev (>= 5.28.0~),
               libkf5attica-dev (>= 5.28.0~),
               libkf5completion-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5itemviews-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.28.0~),
               libkf5textwidgets-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/knewstuff.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/knewstuff.git

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5archive-dev (>= 5.28.0~),
         libkf5attica-dev (>= 5.28.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.28.0~),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.28)

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

## knewstuff 5.31.0

=== debian/changelog ===
knewstuff (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:16 +0000

knewstuff (5.30.0-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Install new file

  [ Rik Mills ]
  * New upstream release (5.30.0)
  * Update symbold from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:55 +0000

knewstuff (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Update symbols from buildlogs
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Clive Johnston ]
  * Add new build dep on qtdeclarative5-dev
  * Refreshing symbols
  * Splitting KNewStuff into KNewStuff and KNewsStuffCore
  * Adding new package for qml-module-org-kde-newstuff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:51 +0000

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5attica-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff

Package: libkf5newstuff-dev
Architecture: any
Section: libdevel
Depends: kio-dev (>= 5.31.0~),
         libkf5archive-dev (>= 5.31.0~),
         libkf5attica-dev (>= 5.31.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: kio,
         libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version})
Depends: kio, ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuff-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

## knewstuff 5.38.0

=== debian/changelog ===
knewstuff (5.38.0-0ubuntu1) artful; urgency=low

  [ Rik Mills ]
  * New upstream release (5.38.0)

  [ José Manuel Santamaría Lema ]
  * Add missing depend on qml-module-org-kde-kirigami.
  * Create HOME directory for tests.
  * Remove unused debian/tests/testsuite.xsession

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:21 +0100

knewstuff (5.37.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:12 +0100

knewstuff (5.36.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install /etc/xdg/knewstuff.categories

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:12 +0100

knewstuff (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:05 +0100

knewstuff (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:01 +0100

knewstuff (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5attica-dev (>= 5.31.0~),
-               libkf5completion-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5attica-dev (>= 5.38.0~),
+               libkf5completion-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5itemviews-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5textwidgets-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
+               libkf5xmlgui-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev
@@ -30,12 +30,12 @@
 Package: libkf5newstuff-dev
 Architecture: any
 Section: libdevel
-Depends: kio-dev (>= 5.31.0~),
-         libkf5archive-dev (>= 5.31.0~),
-         libkf5attica-dev (>= 5.31.0~),
+Depends: kio-dev (>= 5.38.0~),
+         libkf5archive-dev (>= 5.38.0~),
+         libkf5attica-dev (>= 5.38.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.31.0~),
+         libkf5xmlgui-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for knewstuff
@@ -78,7 +78,7 @@
 
 Package: qml-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-org-kde-kirigami, ${misc:Depends}, ${shlibs:Depends}
 Description: Support for downloading application assets from the network.
  Framework for downloading and sharing additional
  application data.
